

// the patch
BandedWG band => JCRev r => dac;
BandedWG band2 => r;

// presets
0.95 => band.gain;
1 => band.preset;
Std.mtof( ( 21 + Std.rand2(0,3) * 12 + 7 ) ) => band.freq;
.8 => r.gain;
.1 => r.mix;



// scale
[0, 2, 4, 7, 8, 11] @=> int scale[];





Conductor.bar_event => now;
// time loop
while( true )
{
	if (Conductor.bar_count % 2 == 0)
	{
		playSound();
	} else {
		(Conductor.bar_length/2) => now;
		stopSound();
	}
	
	// wait for next beat event
	Conductor.bar_event => now;
}

fun void playSound(){
	// ding!
    Std.rand2f( 0.1, 0.9 ) => band.bowRate;
    Std.rand2f( 0.2, 0.85 ) => band.bowPressure;
    Std.rand2(1,3) => band.preset;
    
    // set freq
    scale[Std.rand2(0,scale.cap()-1)] => int winner;
    57 + winner => Std.mtof => band.freq;
    
    Std.rand2f( 0.8, 0.85 ) => band.startBowing;
}
fun void stopSound(){
	0.001 => band.stopBowing;
}