
// sound file
"/chuck_data/kick.wav" => string filename;
if( me.args() ) me.arg(0) => filename;

// the patch 
SndBuf buf => dac;
0 => buf.gain;
// load the file
filename => buf.read;
0 => int counter;


Conductor.beat_event => now;
// time loop
while( true )
{
	// play kick on 1 and 3.5
	(Conductor.beat_count % 4)+1 => int beatc;
	if (beatc == 1)
	{
	    playSound();
	}
	else if (beatc == 3)
	{
		(Conductor.beat_length/2) => now;
		playSound();
    }
	// wait for next beat event
	Conductor.beat_event => now;
}
fun void playGhostSound(){
	0 => buf.pos;
    Std.rand2f(.2,.4) => buf.gain;
    Std.rand2f(1.5,2.0) => buf.rate;
}
fun void playSound(){
	0 => buf.pos;
    Std.rand2f(.8,.9) => buf.gain;
    Std.rand2f(.8,1.2) => buf.rate;
}
