// initialise Conductor syncing
//Conductor cnd;
//cnd.evnt @=> MetronomeEvent @ e;
// end initialise Conductor syncing

// sound file
"/chuck_data/snare.wav" => string filename;
if( me.args() ) me.arg(0) => filename;

// the patch 
SndBuf buf => dac;
// silence the buffer
0 => buf.gain;
// load the file
filename => buf.read;

Conductor.beat_event => now;
// time loop
while( true )
{
	// main 2 & 4 snare
	if (Conductor.beat_count % 2 == 1){
		// play snare
	    playSound();
	}
	
	// ghost snares
	(Conductor.beat_length/4) => dur teenth;
	if ( Std.rand2(0, 10) > 8 )
	{
		// ghost note 1/16 before next beat
        3*teenth=> now;
		playGhostSound();
	} else if ( Std.rand2(0, 10) > 8 ) {
		// ghost note 1/16 and 3/16
		teenth => now;
	    playGhostSound();
		3*teenth=> now;
		playGhostSound();
	}
	// wait for next beat event
	Conductor.beat_event => now;
}
fun void playGhostSound(){
	0 => buf.pos;
    Std.rand2f(.1,.2) => buf.gain;
    Std.rand2f(1.4,2.0) => buf.rate;
}
fun void playSound(){
	0 => buf.pos;
    Std.rand2f(.8,.9) => buf.gain;
    Std.rand2f(.8,1.2) => buf.rate;
}
