

// STK ModalBar

// patch
Moog moog => dac;
// stop it playing immediately

0.0 => moog.noteOff;
// scale
[0, 2, 4, 7, 8, 11] @=> int scale[];

[0,1] @=> int octs[];


Conductor.bar_event => now;
// time loop
while( true )
{
	Conductor.beat_length/2 => dur quarter;
	if (Conductor.bar_count % 2 == 0)
	{
		playSound(-1);
		[0,1] @=> int octs[];
	} else {
		[1,0] @=> int octs[];
	}
	5 * quarter => now;
	// 3.5 beat
	playSound(octs[0]);
	quarter => now;
	// 4 beat
	playSound(octs[1]);	
	quarter => now;
	// 4.5 beat
	stopSound();
	
	// if it's the last bar, do something special!
	if (Conductor.bar_count == (Conductor.bars_per_loop-1))
	{
		//Conductor.beat_length/2 => now;
		// 3.5 beat
		//playSound();	
		//Conductor.beat_length/2 => now;
		// 4 beat
		//stopSound();	
	}

	// wait for next beat event
	Conductor.bar_event => now;
}

fun void playSound(int octave){
	// ding!
    Std.rand2f( 0, 1 ) => moog.filterQ;
    Std.rand2f( 0, 1 ) => moog.filterSweepRate;
    Std.rand2f( 0, 12 ) => moog.lfoSpeed;
    Std.rand2f( 0, 1 ) => moog.lfoDepth;
    Std.rand2f( 0, 1 ) => moog.volume;

    // set freq
    scale[Std.rand2(0,scale.cap()-1)] => int winner;
    57 + octave*12 + winner => Std.mtof => moog.freq;

    // go
    .8 => moog.noteOn;
}
fun void stopSound(){
	1.0 => moog.noteOff;
}