

// STK ModalBar

// patch
Moog moog => dac;

// scale
[0, 2, 4, 7, 8, 11] @=> int scale[];





Conductor.bar_event => now;
// time loop
while( true )
{
	// 1 beat
	playSound();
	Conductor.beat_length => now;
	// 2 beat
	playSound();	
	Conductor.beat_length/2 => now;
	// 2.5 beat
	playSound();	
	Conductor.beat_length/2 => now;
	// 3 beat
	stopSound();
	
	// if it's the last bar, do something special!
	if (Conductor.bar_count == (Conductor.bars_per_loop-1))
	{
		//Conductor.beat_length/2 => now;
		// 3.5 beat
		//playSound();	
		//Conductor.beat_length/2 => now;
		// 4 beat
		//stopSound();	
	}

	// wait for next beat event
	Conductor.bar_event => now;
}

fun void playSound(){
	 // ding!
    Std.rand2f( 0, 1 ) => moog.filterQ;
    Std.rand2f( 0, 1 ) => moog.filterSweepRate;
    Std.rand2f( 0, 12 ) => moog.lfoSpeed;
    Std.rand2f( 0, 1 ) => moog.lfoDepth;
    Std.rand2f( 0, 1 ) => moog.volume;

    // set freq
    scale[Std.rand2(0,scale.cap()-1)] => int winner;
    57 + Std.rand2(0,2)*12 + winner => Std.mtof => moog.freq;

    // go
    .8 => moog.noteOn;
}
fun void stopSound(){
	1.0 => moog.noteOff;
}